# Raster Operations

Components to work with raster data sources

## Get Values from Raster

**Description**

This component allows obtaining values from a raster table. The values included in the output can be determined by a vector data source input.

**Inputs**

* `Raster table [Table]`: raster data source that will be used as source for the values.
* `Vector table [Table]`: vector data source that will be used to determine which pixel values are going to be obtained
* `Geo column`: Column in the Vector table that contains a geography to determine which pixel values are going to be obtained.
* `Raster properties` : List of band values that are going to be obtained from the raster, in the areas where it intersects with the vector table features.
* `Custom expression`: (optional) Add a custom SQL expression containing an operation that uses values from the different bands in the raster, for example `band_1+band_2 as sum`

**Advanced options**

* `Include pixel [boolean]`: Default `false`. If true, the output table will include a `pixel` column containing the quadbin id of the corresponding pixel in the raster.

**Outputs**

* `Result table [Table]`: A table that contains a row for each pixel in the raster source that intersects with the vector source. It will contains an optional `pixel` column and a column for each selected property, plus any additional column generated by a custom expression.

## Intersect and Aggregate Raster

**Description**

This component intersects a raster table with a table containing polygons and aggregates the values extracted from the intersection areas.

**Inputs**

* `Raster table [Table]`: raster data source that will be used as source for the aggregated values.
* `Vector table [Table]`: vector data source that contains the geographies to be enriched with aggragated data from the raster pixel values.
* `Geo column`: Geography column in the Vector table that will be intersected with the raster.
* `Raster aggregated properties` : List of aggregated band values that are going to be obtained from the raster, in the areas where it intersects with each of the vector table rows.
* `Custom expression`: (optional) Add a custom SQL expression containing an operation that aggregates values from the different bands in the raster, for example `AVG(band_1+band_2) as avg_band_sum`

**Outputs**

* `Result table [Table]`: A table that contains the same rows as the input Vector table, with an additional column for each raster aggregated property and any additional property defined as a custom expression. The values for those columns are the computed aggregation from all pixels in the raster that intersect with the vector feature.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.carto.com/carto-user-manual/workflows/components/raster-operations.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
